Skip to main content
GET
List merchants

Authorizations

Authorization
string
header
required

API key authentication. Include your API key as a Bearer token.

Example: Bearer sk_prod_xxxxxx

Get your API key from the Stell Dashboard.

Query Parameters

externalId
string

Filter by external system identifier

limit
string
nextToken
string

Token for pagination

companyId
string

Filter by company ID

Response

Merchants retrieved successfully

data
object
required

Page of merchants plus the pagination cursor

requestId
string
required

Unique request identifier for debugging

Pattern: ^[0-9A-Z]{26}$